# EXPANSIONARY

> This mod requires `SLMACore` from Thunderstore ❗ ❗ 

**EXPANSIONARY** is a mod that adds a faction with units that will be updated from time to time, depending on the idea that seems interesting or fitting to be implemented and playable to be added to your faction armament.

## Additions 💬

__Tropical__ 

Water, Sand, and Rock, the natural phenomena untouched by the masses, hold many mysteries and dangers that lie beyond what eyes could meet.

| Unit | Description |
| ------ | ------ |
| Titanoboa | Slithers and grows to hunts and bite anything in it's path, even if their prey is bigger than themself. |
| Fisherman | Naturally in a pond, this dude can reel something even bigger than a fish, and aren't afraid to use his own prey as his flail. But his kick is really a wonder of today. |
| Totem | Strange statue that gave anyone who admires it an adrenaline rush, it covers large area but immobile and useless without followers. Though it looks kinda sussy ngl. |
| Conjurer | A wanderer from farland. With ability to conjures a spirit who locks on her enemy and mercilessly whoosh them around like papers. |
| Succubus | Kiss and Hiss, and now her enemy becomes her friend, if you want to face her, the less allies you bring will definitely benefits you, or you'll end up lured by her soon. |
| Wayang | Is it a human? A corpse? A living being? The look on its face certainly tells you it's intention is not friendly and the dual sword absolutely shines the path it take as fast it could reach. |
| Vulcan Imperator | A volcano taking its humanoid form, brings fertility and fortune but fiery tragedy to whoever dares to accompany it. |

__Great Forest__

Plants and Bugs rule this dense territory, thorns and spikes are coarse in every place, and one could hear a growling roar and scratching of a never before the seen beast.

| Unit | Description |
| ------ | ------ |
| Elven | These natural inhibitors of the forest guard their place with strick rule. There's a rumor said that their sword heals those who are allied with themself and damage those who against them. |
| Forest Archer | Same kind with the Elfs, these folks gather nearby materials and using a very special and bouncy fruits as their choice of arrow. |
| Bug Fanatic | a Deranged human gone feral, they befriended critters who lives inside a moss, making them as their own over protective friendlings, unknowingly ignoring the fact that the maniac just carries their homes. |
| Ghoul | Locals considered it as the guardian of the forest, it's calm yet strick forceful nature resembles the creepiness of the deep. |
| Druid | A deity of a jungle fated into a wasteland, this creature will not hesitate to turn those who defies it to a sludge! (35% Possiblity) Which can be used as an obstacle that might benefit himself and teammates in battle. |

__Primeval Kingdom__ 

Old abandoned castle in the plain of ancestral reminiscence, a feel of powerful dusted imagery of a once-proud standing monarchy.

| Unit | Description |
| ------ | ------ |
| Swordmage | Bearing the knowledge the unusual magic of utility, this veteran Knight learns the Sword Summmoning aswell as Psychomancy to be his aids on his life. |
| Bloodwalker | Blood, guts and gore resembles the ancient war since the dawn of humanity. This Knight is determined to cuts anyone in his path with the power of a twisted liquid that flows inside living being and use them as their own bane. |
| King Midas | Greed of Gold, a power a mortal should not ever have, changing anything even friendlies into nothing but gold. |
| Soulsforge Swordcaster | Souls of a brief candle drivens to the swordcaster, giving it massive power over determination of the soul of his own, a sword, forge in a blue fire that reaks of both soul and calm of mind. |

__Forgotten Communion__

A group who sacrifices to the unknown being that lurks on wherein bridge of loss, its hollow path brings nothing but the feeling of unbelonging and supreme pressure of silent melancholy.

| Unit | Description |
| ------ | ------ |
| Dead Mourner | To care for another more than oneself, this anomaly heals himself and his ally by screaming an eerie chant. |
| Gravedigger | Have resemblance with the vampires, this pale and crazy keeper is capable of turning himself into multiple bats! With each bats have possibility to turn into himself, he could make a whole army if his prey split up in range and not dealt with fast enough. |
| Foul Soul | With quantity human will prefail, but more is feast to this ever-hungry beast, the more you feed to it, the more reaping it would become. It is rumored that every souls it hits will be it's ration. |
| Brewer | This lady used her young front to looks weak, but with a fatal throw of a contained-weather potion, she brings end to they who dares to disturb her exotic and dangerous practices. |
| Behemoth | Wherever this wraith goes, an eruptic fog follows him, pile of bodies left in his wake, if you see a sparks of fire and your eyes blurry ashes, you better pray and start running. Legends tells that the horn of this beast is crystalized pain and the eternal flame inside its mind symbolizes it's authority. |
| Voidmaster | A conquerer of the unknown power beyonds the graves and reign over the abyss, being Impenetrable by projectiles, his soul binds by the dark and will forever cursed in void. |
| Unnamed Peasant | A faint human fated to die, victim to war bigger than himself, formless and forgotten forever. No eye witnesses and no relation to this phantom, but a sinister aura and uncontrollable inhumane power follows this nameless peasant and his unknown motives. |

__Chaotic Line__ 

Unruliness taken action, leaving ashes and remains of what once left as they show the true anarchy behavior of mankind, the law stricken and the borderline is it's only taboo.

| Unit | Description |
| ------ | ------ |
| Snakeeye | Watch your foot! This girl sends you a special gift, a life mad snake as your pain service! |
| Bounty Hunter | Also known as Eagle eye, this assassin is steady and patience enough to kill those far enough to be unseen. If you think you could get close the gaps to him, think again! His trained vulture disturbs those who are getting nearby its territory and distract you long enough for the Hunter to shot your head clean. |
| Excavator | Some men you just can't reach, He is capable to dig deep into the earth with a crushing force and a leave a bunch of Bad-O'-Dynamite as your present! |
| Rumbler | Carrying a heavy shooter, that shoots out a mega bomb, which carries it's heat tempered momentum into a blast wall of a ember splash and an ouch! |
| Helldraw | Ready for combat, She has sharp intuition that makes her gunsling and tick-speed draws a dangerous wonder, alongside her shot that provoke heat inside enemy. But that is not her main weapon, But beware, her dodge is a two-edged sword abilty that could either save her or bring her doom, a true gambling in a war. |
| Maximus | Relentless, simple yet effective strategy, your target didn't died? Just shoot it more until its full of hole. |

__Far North__ 

On the furthest reach of the horizon against the dawn, folk tales told of places where titans, monsters, brutes and legends dwell, waiting to be awakened from their deep slumber.

| Unit | Description |
| ------ | ------ |
| Glacier Giant | Cold, like a corpse, freezing strong winds like a winter and a breeze of those resembles a storm. Ancestor recalls this living mountain statue as the Gods of Bitefrost and Blizzard, lumbering deep, far from the surface of Great Frosted Ocean of the North Pole. It is brute in acts and prefers to settles things immensely. |

__Clash Siege__ 

The starter of the devastating war, ruthless, is shown as the fate of the future destined as the extreme pin-point destructor of humanity.

| Unit | Description |
| ------ | ------ |
| Rogue | No known origins, these hired hitman are going to dispose anyone who is desired to be exterminated undisclosed and personally. |
| Mongolian | Fearless, these warriors fights with bow in packs, brings fighting spirit to team near them and chase their prey relentlessly with their poisonous targeting. |
| Headless Horseman | Fast and keen, these stumbling fighter is ready to take on those who chase them by feet and challenged them in quick combat. |
| Dubcore Artillery | The noise too much, it would make you bleed, the more people listen to his extreme note, the more it will spread among his enemy. |
| Excalibur |  Mastered the technique of Greatsword, this Knight will slash and tear anyone who deny its excellence |
| Guardian | Keeping their holy ground, they shines like the sun and stays on stead to take on those who tempted to break their mighty territory. |

__Experiment__ 

Various creations and derp ideas. Tiny memories, fading dreams somewhere.

| Unit | Description |
| ------ | ------ |
| Drunken Master | Mild headache and alcoholics tendencies, very brave yet soon to fall, this man would charge at you like a wild animal. But beware, even though he strong, the longer he is in combat, the more confused and sillier he become. |

__Secret__ 

A secret between us only.

| Unit | Description |
| ------ | ------ |
| Eastwood | The name rings a bell, the ruler of the Wild West and titled *God of Mens*, the name gives an aura of murderous tendencies. He holds the trigger, while the rest digs. His double-held loaded cold Colt, *Single Action Army*, or also widely known as **"Peace Maker"**, sends shiver to those who have witness it's law. He is the man... who goes by many names. |

> Hint: A place of his theme, `Wild West`

## Credits 💻

This mod (__EXPANSIONARY__), is a mod created by me, **Geezt Jeez**. with the huge amount of help and tutoring from **FhpSlime**** and **MidnightCow**, with part of codes from **Old Mods**. The unit balance is managed by **Googly Eyes**. Units additions and details overalls are designed by me.

Icons made specifically for this mod for Factions and Units are by **HambodyKydz** using Photoshop.

If anyone wanted to ask anything related, ask me through DM in Discord, my tag: 
> Geezt Jeez#1458

_This mod is made possible with the use of_ __SLMACore__ _and_  __FhpSlm__ _from FhpSlime._

> **NOTE:** If you are recording a TABS video for Youtube or else using this mod, please link it in your Video descriptions and notified me, giving a credit to this mod would also credits me and my helper and friends efforts on making this mod possible. Thank you! 😄

**Have fun!**

## Changelogs 🎁 

#### (1.1.8)

- Experiment factions are now emptied of their old units and added a new Unit: *Drunken Master*.
- New Factions: **Primeval Kingdom**, **Far North**.
- Renamed **Warmonger** to **Clash Siege**.
- Fixed *Guardian* sword being Neon Green instead of Neon Yellow.
- *Voidmaster* name is changed into *Wretched Emissary*. 
- *Mongolian* now shoots 1 arrow when far away, and 3 when in close range, *Vulcan Imperator* now has *Flaming Chase* ability, and *Excalibur* now can create a *Heavenly Slash* effect.
- *Conjurer* has been moved to **Great Forest** faction.
- Changed *Swordmage* amount of Mordul sword to **30** instead of **24**
- The tornado size of *Glacier Giant* has been drastically increased and changed the visual design.
- Edited the effect of *Ghoul's* spike into a tree.
- Balanced *Conjurer, Bounty Hunter, Maximus, Rogue, Titanoboa*.
- Increased *Glacier Giant* size.
- Changed *Debter Pain* chain design for *Vulcan Imperator*.
- Added props for *Glacier Giant* which is a whole boat and for *Excalibur*, changed his helmet design.
- *Gravebat's* bloodlust eye has been transferred unto *Bloodwalker*.
- *Unnamed Peasant* mad trail is now fully invisible (No more gray indicator) and added more particles for him.
- *Soulforge Swordcaster* now has improved visual design.
- *Bounty Hunter*'s vulture is now released on a longer range.
- Revamped *Gravedigger*'s ability to be more certain instead of gamble, but I didn't remove the gambling feature entirely. Now, instead of summoning Vampires or Skeleton Warrior, he summons *Dead Villagers*, which have randomized weaponry, and occasionally, 1/5 Chance, one of the villagers wields a _Torch_ weapon (This took so long for me to figure out, bruh).

#### (1.1.7)

- The additions table now has new units in the tables.

#### (1.1.6)

- Fixed *Unnamed Peasant* effect overlap in freezing effect.
- *Dubcore Artillery* has been moved to the **Warmonger** faction.
- **4** in total new Units: *Bounty Hunter, Gravedigger, Totem, Conjurer"*
- Added 1 more unit to **Forgotten Communion** being: *Gravedigger*
- Added 1 more unit to **Chaotic Line** being: *Bounty Hunter*
- Added 2 more units to **Tropical** being: *Totem, Conjurer*
- Changed *Excavator* weapon particle trail on his shovel force point instead of hand and improved *Behemoth* fire saber.
- Moved *Behemoth's* eye drag ability to *Gravedigger* bats.
- Balancing on *Elven*, making him more powerful and increasing mobility, also turned down his cost to **80** instead of **120**.
- Increased *Voidmaster* projectile amount and changed his **Undying** weapon, *Fisherman* pull force, *Excavator* health and *Foul Soul* lifesteal.
- Decreased *Rogue* health and *Foul Soul* damage.
- Most of the Expansionary units that used Wings (*Bugs, Grave Bats, Vulture*) now have customized wing flap speed.
- Changed *Swordmage* amount of Mordul sword to **24** instead of **18**
- The sun shines brighter in Wild West.

#### (1.1.5)

- Added an invisible golem base for *Flumph*.
- *Unnamed Peasant* now uses his new ability as an attack instead of Soul Reaping, which is scrapped for another unit instead.
- Fixed bug where *Unnamed Peasant* still has collision.  
- *Glacier Giant* now punches and has bigger raw power.
- *King Midas's* abilities (Crown Spike and Gold Rush Shockwave) have been removed and are kept for another unit. But in equivalent exchange, He's buffed in health, offense and walk speed.
- Added small details to *Midas* if a low projectile hits him, it turns into gold.
- *King Midas* and *Soulforge Swordcaster* unit cost has been reduced.
- Explosions from *Maximus* are now transformed into *Druid*, and more customized and revisioned.
- Improved *Glacier Giant* and *Unnamed Peasant* cost and gameplay.
- Some new Sprites by **HambodyKydz**.
- Improved Guardian Design and changed ability from `Holy Slash` to `Holy Heal`.
- Nerfed *Titanoboa*, *Vulcan Imperator*, *Foul Soul*, etc.
- Buffed *Rogue*, *Guardian*, *Voidmaster*, etc.
- Decreased *Dubcore Artillery* noise.
- Changed *Maximus* Aim particle size and projectile knockback, also decreased his health. 
- Changed **Great Forest** Faction sprite.
- Revamped *Forest Archer* and *Bug Fanatic* to work more properly.
- Improved *Druid* and *King Midas* stoning effect to have customized material.
- The seal has been destroyed somewhere.

#### (1.1.4)

- Some grammatical errors fix.
- All Faction IDs are now changed.

#### (1.1.3)

- Removed title in Additions and changed some Descriptions.
- Added *Snakeeye*, *Dubcore Artillery*, and *Maximus* to **Chaotic Line**
- Added *Titanoboa*, *Vulcan Imperator* to **Tropical**
- Added *Dead Mourner*, to **Forgotten Communion**
- Added *Excalibur* to **Warmonger**
- Added *Glacier Giant*, *Swordmage*, and *Unnamed Peasant* to **Experiment**
- Fixed a grammatical error on Descriptions.
- Changed Druid designs, Improved Succubus Eye, and Improved Ghoul skin, also changed *Guardian* light intensity.
- Changed and added extra abilities to Guardian, improved Ghoul ray and more offense on *Foul Soul*.
- Unit name changes from *Clint Eastwood*, *Siren*, *Sentinel*, and *Paladin* to *Eastwood*, *Succubus*, *Bloodwalker*, and *Guardian*
- Unit name changed back from *Soul Tyrant* to *Foul Soul*
- Nerf and Buff on *Rogue*, *Forest Archer*, *Ghoul*, *Bug Fanatic*, *Bloodwalker*, *Guardian*, *Soulforge Swordcaster*, and others.
- (Planned a custom ability for Clint Eastwood for the next update, so I hid him in a special place somewhere if anyone wants to unlock him for now)

#### (1.1.2)

- Fixed mysterious bugs.

#### (1.1.1)

- Fixed **Chaotic Line** not having custom icons for units.
- Cost of Voidmaster from 40000 turned into 10000, changed because it fits more.

#### (1.1.0)

🎉 ***10th Update Milestone!*** 🎉

**AY IT'S EXPANSIONARY 10TH UPDATE, THANK YOU ALL FOR PLAYING MY SMALL MOD AND ALL THE PEOPLE WHO HELPED ME INPLEMENTING THE MOD!**

- Introducing a new Faction called Experiment! For now it has 5 units(*Clint Eastwood, Soulsforge Swordcaster, King Midas, Siren, and Sentinel*), this faction is going to be all the ideas that doesn't seems to fit in any current theme but interesting units.
- Added a secret unit to the secret faction.
- More custom icons! This time, Eastwood is by me :)
- Removed the Candlepush effect from Druid's attack, but increased the projectiles spawned from 3 to 6 on each hand, and added spread value of 1.5.
- *Bug Fanatic* Improvement: Fixed Bugs wings colour is Valkyrie colour instead of Jungle Themed, Bugs also died on 100 seconds now instead of 5 seconds, but now bug is spawned per original times 1.5 cooldown.
- Voidmaster appearances and weapons are changed.
- The cost of Voidmaster from 100000 turned into 40000.
- *Credits* are now put above the *Changelogs*

#### (1.0.9)

- Fixed bugs where Ice Effect VFX becomes black (collide materials with Voidmaster)
- A fix of nerfing and buff to some units that is too much on the previous update. (*Behemoth*, *Ghoul*, *Forest Archer*, *Soul Tyrant*, *Rogue*, and *Templar*)
- Phantoms / Ghost unit which is *Behemoth, *Druid* can pass through light projectiles, while Dread like Voidmaster can pass through anything(heavy projectiles and arrow, light projectiles, also can clip into the wall as long as the sword doesn't hold him back, and can go into the ground and resurface back with charge attack)! **Please mind that unit Headless Horseman and unit Headless Rider will not have the ability to pass through light projectiles even though they are specter is because of balance reasons, they are already fast enough against range unit.**
- *Headless Horse* is not so headless anymore, is redesigned to be matched designs with *Headless Rider*.

#### (1.0.8)

- Changed name from *Unnamed Peasant* and *Templar* to *Voidmaster* and *Paladin*
- Added 1 more custom ability to *Paladin*.
- Revamped some descriptions and others detail.
- Added more clothing to *Voidmaster*

#### (1.0.7)

- Updated the Dlls which isn't updated before (woops)

#### (1.0.6)

- Added more units to all current factions. (*Bug Fanatic*, *Elven*, *Forest Archer*, *Druid*, *Unnamed Peasant*, *Rumbler*, *Rogue*, *Headless Horseman*, and *Templar*)
- Changed addition units and factions description. 
- **Dead Line** and **Chaotic** factions are now combined into one faction, which is now named **Chaotic Line**.
- Renamed from *Foul Soul* to *Soul Tyrant*.
- Buffing some units and Nerfs some units. 

#### (1.0.5)

- "Eppansionary" changed into "Expansionary", fixed text pronounciation ._.

#### (1.0.4)

- IMPORTANT UPDATE INFO (Delete your SLMACore and install the one from the ThunderStore, use that SLMACore, do not use that is gotten from an old version or other mod).
- Fixed mod to be compatible with r2ModMan by integrating icons directly into the mod.
- Fixed Vocal not working properly + Invalid pitch.
- Changed name from *Mongol* and *Fishermen* to *Mongolian* and *Fisherman*.
- Nerfed and Buffed all Factions (changed *Ghoul* to be a tanky yet less attack, *Helldraw* damage and cost, etc).
- Changed some unit addition descriptions (*Fisherman*, *Chaotic*, *Wayang*, *Mongolian*, *Behemoth* and *Great Forest*).

#### (1.0.3)

- Added **Great Forest**, **Dead Line**, **Warmonger**, and **Chaotic** faction
- Added custom icon for both Tropical and Forgotten Communion
- Balanced Fiery Explosion and Fire Arena on Fire Potion by Brewer throw
- Positioned the Faction so it is near to its closest theme

#### (1.0.2)

- Fixed Fisherman being nullified and naked (not intentional oops)

#### (1.0.1)

- Fixed VocalRef issue that caused mod becomes unplayable (oops)

#### (1.0.0)

- Added **Tropical**, and **Forgotten Communion** faction